<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="TicketPrinter.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false"/>
        </sectionGroup>
    </configSections>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2"/>
    </startup>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <userSettings>
    <TicketPrinter.Properties.Settings>
      <setting name="setFileAssociation" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ShowRegistrationOnStartup" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="CheckForUpdates" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="firstRunSetFilePreview" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="language" serializeAs="String">
        <value>en</value>
      </setting>
    </TicketPrinter.Properties.Settings>
  </userSettings>
  
    <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="activationBinding"/>
        <binding name="productKeyBinding"/>
        <binding name="updateBinding"/>
        <binding name="BasicHttpBinding_IActivationService"/>
      

    
        <binding name="activationBinding2"/>
        <binding name="productKeyBinding2"/>
        <binding name="updateBinding2"/>
        <binding name="BasicHttpBinding_IActivationService2"/>
     

     
        <binding name="activationBinding3"/>
        <binding name="productKeyBinding3"/>
        <binding name="updateBinding3"/>
        <binding name="BasicHttpBinding_IActivationService3"/>
     

      
        <binding name="activationBinding_local"/>
        <binding name="productKeyBinding_local"/>
        <binding name="updateBinding_local"/>
        <binding name="BasicHttpBinding_IActivationService_local"/>
      </basicHttpBinding>
    </bindings>
    <!-- DEBUG Config
    <client>
      <endpoint name="activationBinding"
                bindingConfiguration="activationBinding"
                contract="Registration.IActivationService"
                address="http://localhost:11024/ActivationService.svc"
                binding="basicHttpBinding" />

      <endpoint name="updateBinding"
                bindingConfiguration="updateBinding"
                contract="Registration.IUpdateService"
                address="http://localhost:11024/UpdateService.svc"
                binding="basicHttpBinding" />
    </client>-->
    <!-- RELEASE Config-->
    <client>
      <endpoint name="activationBinding" bindingConfiguration="activationBinding" contract="Registration.IActivationService" address="http://mtech.somee.com/ticketmakerwebservice/TicketMakerActivationService.svc" binding="basicHttpBinding"/>
      <endpoint name="updateBinding" bindingConfiguration="updateBinding" contract="Registration.IUpdateService" address="http://mtech.somee.com/ticketmakerwebservice/TicketMakerUpdateService.svc" binding="basicHttpBinding"/>
      <endpoint address="http://mtech.somee.com/ticketmakerwebservice/TicketMakerUpdateService.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IActivationService" contract="Registration.IActivationService" name="BasicHttpBinding_IActivationService"/>

      <endpoint name="activationBinding2" bindingConfiguration="activationBinding2" contract="Registration.IActivationService" address="http://movieposterapp.com/ticketmakerwebservice/TicketMakerActivationService.svc" binding="basicHttpBinding"/>
      <endpoint name="updateBinding2" bindingConfiguration="updateBinding2" contract="Registration.IUpdateService" address="http://movieposterapp.com/ticketmakerwebservice/TicketMakerUpdateService.svc" binding="basicHttpBinding"/>
      <endpoint address="http://movieposterapp.com/ticketmakerwebservice/TicketMakerUpdateService.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IActivationService" contract="Registration.IActivationService" name="BasicHttpBinding_IActivationService2"/>

      <endpoint name="activationBinding3" bindingConfiguration="activationBinding3" contract="Registration.IActivationService" address="http://burgermeyer.dyndns.org/ticketmakerwebservice/TicketMakerActivationService.svc" binding="basicHttpBinding"/>
      <endpoint name="updateBinding3" bindingConfiguration="updateBinding3" contract="Registration.IUpdateService" address="http://burgermeyer.dyndns.org/ticketmakerwebservice/TicketMakerUpdateService.svc" binding="basicHttpBinding"/>
      <endpoint address="http://burgermeyer.dyndns.org/ticketmakerwebservice/TicketMakerUpdateService.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IActivationService" contract="Registration.IActivationService" name="BasicHttpBinding_IActivationService3"/>

      <endpoint name="activationBinding_local" bindingConfiguration="activationBinding_local" contract="Registration.IActivationService" address="http://localhost:11024/TicketMakerActivationService.svc" binding="basicHttpBinding"/>
      <endpoint name="updateBinding_local" bindingConfiguration="updateBinding_local" contract="Registration.IUpdateService" address="http://localhost:11024/TicketMakerUpdateService.svc" binding="basicHttpBinding"/>
      <endpoint address="http://mtech.somee.com/ticketmakerwebservice/TicketMakerUpdateService.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IActivationService_local" contract="Registration.IActivationService" name="BasicHttpBinding_IActivationService_local"/>

    </client>
    
  </system.serviceModel>
</configuration>
